Subject: 26.0.50; Setting font to Iosevka Term picks incorrect font variant.

From: "Diego A. Mundo" <[email-masked]>
Date: Mon, 04 Sep 2017 15:58:29 -0400

I'm using the Iosevka font: https://github.com/be5invis/Iosevka
With the following build:

make custom-config set=term design='term v-asterisk-low' italic='v-i-serifed v-l-serifed v-a-doublestorey v-g-doublestorey'
make custom set=term

When I tell emacs to use the font "Iosevka Term-9.5" (either with Emacs.font in .Xresources, or set-frame-font, or set-face-attribute 'default...) and use M-x describe-font, I can see that Emacs picks the medium variants instead of the regular one. I can't seem to be able to make any change to the name or within emacs (playing with width/weight/size attributes) to get it to use the regular variant, unless I delete the medium variant. I'm not really sure what's going on here - I know this only happens in Emacs (using "Iosevka Term" as the font specifier for other programs makes them pick the regular variant).